package test;

import junit.framework.*;
import test.*;

/** Run e.g. with
 * java -classpath ~/junit3.5/junit.jar:. junit.awtui.TestRunner test.ProofTest */

public class TestAll extends TestCase {
	public TestAll(String name) { super(name); }

	public static Test suite() {
		TestSuite suite = new MySuite();
		suite.addTest(EditorTest.suite());
		suite.addTest(ProofTest.suite());
		return suite;
	}
}

/** A Suite that writes summary to a log file */
class MySuite extends TestSuite {
	public void run(TestResult result) {
		super.run(result);
//		System.out.println("total "+countTestCases()+" failed "+result.failureCount()+" errors "+result.errorCount());
		try {
			java.io.FileWriter fw = new java.io.FileWriter("testlog",true);
			fw.write(new java.util.Date().toString());
			fw.write("\n");
			fw.write("total "+countTestCases()+" failed "+result.failureCount()+" errors "+result.errorCount()+"\n");
			fw.close();
		} catch (java.io.IOException exc) {}
	}
}
