package test;

import junit.framework.*;
import java.awt.*;
import gve.calc.*;
import gve.calc.formula.*;

/** A TestCase that can use a StackCanvas for testing */
public abstract class GuiTest extends TestCase {
	StackWindow calc;
	StackCanvas canvas;

	public GuiTest(String name) { super(name); }

	protected void setUp() {
		gve.calc.formula.StandardOperators.registerStandardOps();
		calc = new StackWindow(null);
		canvas = calc.getCanvas();
	}

	protected void tearDown() {
		calc.dispose();
	}
}
